Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::browser_event Class Reference

A `browser`-wide event. More...

`#include <openvrml/browser.h>`

List of all members.

## Public Types

enum | type_id { initialized = 1, shutdown = 2 }
| `browser_event` type identifier. More...

## Public Member Functions

type_id | id () const throw ()
| Event type identifier.
browser & | source () const throw ()
| The `browser` that emitted the event.

## Private Member Functions

| browser_event (browser &b, type_id id) throw ()
| Construct.

## Private Attributes

browser * | source_
| The `browser` from which the event originated.
type_id | id_
| Event type identifier.

## Friends

class | browser
| Only `browsers` can construct `browser_events`.

## Detailed Description

A `browser`-wide event.

## Member Enumeration Documentation

enum openvrml::browser_event::type_id

`browser_event` type identifier.

Enumerator:

  initialized | An `initialized` event is sent once the world has loaded and all nodes in the initial scene have been initialized.
  shutdown | A `shutdown` event is sent once all of the nodes in the scene have been shut down.

## Constructor & Destructor Documentation

openvrml::browser_event::browser_event | ( | browser & | b,
|  | type_id | id |
| ) |  |  | throw ()`[private]`

Construct.

For internal use only.

Parameters:

  `[in]` | b | the `browser` from which the event originated.
  `[in]` | id | the event type.

## Member Function Documentation

openvrml::browser_event::type_id openvrml::browser_event::id | ( |  | ) | const throw ()

Event type identifier.

Returns:
  the event type identifier.

openvrml::browser & openvrml::browser_event::source | ( |  | ) | const throw ()

The `browser` that emitted the event.

Returns:
  the `browser` that emitted the event.

## Friends And Related Function Documentation

openvrml::browser_event::browser`[friend]`

Only `browsers` can construct `browser_events`.

## Member Data Documentation

openvrml::browser * openvrml::browser_event::source_`[private]`

The `browser` from which the event originated.

For internal use only.

openvrml::browser_event::type_id openvrml::browser_event::id_`[private]`

Event type identifier.

For internal use only.